OGG / Opus to MP3 Converter
Open .ogg, .oga and .opus files anywhere: as MP3 or M4A, tags and all.
Try before you buy.
- Free preview: the first half of the MP3 or M4A (up to 30 seconds) at the quality you chose, with a short MySmartCoPilot chime every 10 seconds.
- Locked until you unlock it: download.
- Unlock: Pro pass, ₹179 for 30 days, a one-time payment that never renews.
Ways to unlock shows how to get the full result.
Printing this result is locked in the free preview.
This browser cannot play the original here, but the page can still convert it.
Output
Advanced
It downloads once (about 2.4 MB) and decodes the whole file in memory. Ticking it with a file chosen opens that file again with it.
Your MP3
Locked in the free preview. Opens the ways to unlock this result.
Locked in the free preview. Batch runs unlock with a pass.
Locked in the free preview. Query results unlock with a pass.
About the OGG / Opus to MP3 Converter
Ogg files — .ogg, .oga and .opus — hold Opus or Vorbis audio (sometimes FLAC). They are what many chat apps send as voice messages, but plenty of players, car stereos, editors and older phones cannot open them. This page turns them into an MP3 (LAME) or an M4A (AAC) that plays almost everywhere.
It decodes with your browser’s own Opus and Vorbis decoders where it has them, with its Web Audio decoder for FLAC inside Ogg, and otherwise with a WebAssembly decoder that the page downloads only when it is needed — so it works even in browsers without Opus or Vorbis support. Voice notes are recognised (mono, recorded at 16 or 24 kHz) and get a small mono MP3 at the rate they were recorded at; music gets 192 or 320 kbps. Title, artist and album tags are carried over.
Everything happens in your browser: your voice messages and songs are never uploaded. Without a pass, the converted file is a free preview: its first half (up to 30 seconds) with a short MySmartCoPilot chime every 10 seconds.
How to use it
- Drop an .ogg, .oga or .opus file on the box, or press Choose an OGG or Opus file. To convert a voice message, first save or share it from the chat app as a file.
- Check what the file holds — codec, sample rate, channels, length and tags — and play it if your browser can.
- Choose MP3 or M4A (AAC) and a quality: Voice (mono, 64 kbps) for voice notes, High (192 kbps) or Best for music.
- Press Convert to MP3, listen to the result and press Download MP3, with a pass or after unlocking this result. Without a pass the page plays a free preview instead: the first half (up to 30 seconds) with a short MySmartCoPilot chime every 10 seconds.
Examples
voice.opus · Opus · mono · recorded at 16 kHz · 24 kbps · 1:00
voice.mp3 · 64 kbps · 16 kHz · mono · about 470 KB
The Opus header records the 16 kHz the app recorded at, so the MP3 keeps that rate instead of 48 kHz: smaller, with nothing lost.
song.ogg · Vorbis · 44.1 kHz · stereo · 160 kbps · 3:45 · title and artist tags
song.mp3 · 192 kbps · 44.1 kHz · stereo · about 5.1 MB, with the same title and artist as ID3 tags
podcast.opus · Opus · stereo · 48 kHz · 64 kbps
podcast.m4a · AAC 128 kbps · 48 kHz · stereo
What is inside an .ogg or .opus file
Ogg (RFC 3533) is a container: the sound inside is usually Opus (RFC 7845 describes Opus in Ogg) or Vorbis (Vorbis I specification), sometimes FLAC, and in old files Speex. The page reads the first pages of the file and shows which it is.
Opus always decodes at 48 kHz, but its header also records the sample rate the recording had (“input sample rate”), and a number of samples to skip at the start (“pre-skip”). Voice messages are usually mono Opus at a low bitrate (the page shows the rate each one was recorded at); Telegram’s Bot API documentation, for example, lists an .OGG file encoded with Opus as a voice-message format, alongside MP3 and M4A.
Which quality to choose
- Voice (mono, 64 kbps): voice notes, interviews and lectures. A minute is about 470 KB.
- Standard (128 kbps): speech in stereo and casual listening.
- High (192 kbps): music; transparent for most listeners on most songs.
- Best (320 kbps MP3, 256 kbps AAC): when the file will be edited or converted again.
The source is already compressed, so converting can only keep or lose quality, never add it: choose a bitrate at least as high as the source’s for music. For MP3 below 32 kHz the standard (ISO/IEC 13818-3) allows at most 160 kbps, and the page adjusts the bitrate if needed.
MP3 or M4A?
MP3 plays on practically every device, car stereo and program. M4A (AAC in MPEG-4) sounds better at the same bitrate and is what iPhones, iTunes, Apple Music and most modern phones prefer; some older devices and car stereos cannot play it.
Limitations
- Speex audio (an old voice codec in some .ogg and .spx files) cannot be decoded in browsers, so those files cannot be converted here.
- Both formats are lossy: the MP3 or M4A is a new compression of the decoded sound, so a very low source bitrate stays audible.
- An Ogg video (Theora) is converted to its sound only.
- One file at a time. The WebAssembly decoder holds the whole decoded file in memory, so very long files may be too large for a phone.
Privacy
Everything happens in your browser. What you enter or open here is not uploaded or stored by MySmartCoPilot. The audio engine and the MP3 or AAC encoder download from MySmartCoPilot the first time you convert (a WebAssembly decoder of about 2.4 MB too, only when your browser cannot decode the file). Your audio is never uploaded.
Frequently asked questions
What do I get without a pass?
Without a pass, OGG / Opus to MP3 Converter shows the first half of the MP3 or M4A (up to 30 seconds) at the quality you chose, with a short MySmartCoPilot chime every 10 seconds. Until you unlock it, the result can’t be downloaded. A Pro, Premium or Ultimate pass, a one-time payment that never renews, unlocks the full result. The pricing page lists the passes and their prices.
How do I convert a WhatsApp or Telegram voice message to MP3?
Save or share the voice message from the chat as a file (it usually ends in .opus, .ogg or .oga), then choose it here and press Convert to MP3. Voice quality is picked automatically for voice notes.
Why can’t my phone or player open .opus or .ogg files?
Many players, car stereos and older phones have no Opus or Vorbis decoder, or do not recognise the .opus extension. MP3 plays practically everywhere, and M4A on almost all modern devices.
Will the MP3 sound worse than the original?
At the suggested settings the difference is very small, because the MP3 bitrate is well above what the original used. Converting cannot make a low-quality recording sound better, though.
Why is the MP3 bigger than the .opus file?
Opus is very efficient: its specification (RFC 6716) names 16–20 kbit/s for wideband speech and 28–40 kbit/s for full-band speech. MP3 needs more bits for the same sound, so a 64 kbps mono MP3 is two to four times the size — still under half a megabyte a minute.
My browser says it cannot decode the file. What now?
The page then uses its WebAssembly decoder automatically. If a file opens but sounds wrong, tick Use the WebAssembly decoder under Advanced to decode it again with that one.
Are my voice messages uploaded?
No. They are decoded and encoded in your browser; only the converter’s code is downloaded.